@import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro:ital,wght@1,300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Serif:wght@700&family=Source+Code+Pro:ital,wght@1,300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Serif:wght@700&family=Poppins:wght@300&family=Source+Code+Pro:ital,wght@1,300&display=swap');



body{
    margin: 1cm;
    display: grid;
    background: linear-gradient(-98deg, #00ff88, #00ffea, #008cff, #de00fb);
	background-size: 400% 400%;
	animation: gradient 15s ease infinite;
    overflow-y: scroll;
    overflow-x: hidden;
	
}
@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}

p{
    color: rgb(0, 0, 0);
    display: block;
    border: none;
    width: 400px;
    top: 250px;
    height: 40px;
    margin: 0 auto;
    text-align: center;
    font-family: 'Source Code Pro', monospace;
}
h1{
    color: rgb(0, 0, 0);
    display: block;
    border: none;
    width: 400px;
    top: 250px;
    height: 40px;
    margin: 0 auto;
    text-align: center;
    font-family: 'Noto Serif', serif;
    }
  
    input {
    background: rgba(0, 0, 0, 0.377);
    display: block;
    border: none;
    width: 400px;
    top: 200px;
    height: 110px;
    color: rgb(0, 0, 0);
    border-radius: 9px;
    margin: auto;
    margin-bottom: 10px;
    box-shadow: 5px 5px 5px 0px rgba(0,0,0,0.49);
    -webkit-box-shadow: 5px 5px 5px 0px rgba(0,0,0,0.49);
    -moz-box-shadow: 5px 5px 5px 0px rgba(0,0,0,0.49);
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
  }
  
   .bar{
    width: 100%;
    height: 7%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.337);
    
   }
   
   .ui{
       padding: 160px;

   }
   
   ::-webkit-scrollbar {
    width: 16px;
    height: 16px;
  }
  
  ::-webkit-scrollbar-corner,
  ::-webkit-scrollbar-track {
    background-color: rgb(64, 64, 64);
  }
  
  ::-webkit-scrollbar-thumb {
    background-color: rgb(96, 96, 96);
    background-clip: padding-box;
    border: 2px solid transparent;
  }
  
  ::-webkit-scrollbar-thumb:hover {
    background-color: rgb(112, 112, 112);
  }
  
  ::-webkit-scrollbar-thumb:active {
    background-color: rgb(128, 128, 128);
  }
  
  /* Buttons */
  ::-webkit-scrollbar-button:single-button {
    background-color: rgb(64, 64, 64);
  
    display: block;
    background-size: 10px;
    background-repeat: no-repeat;
  }
  
  /* Up */
  ::-webkit-scrollbar-button:single-button:vertical:decrement {
    height: 12px;
    width: 16px;
    background-position: center 4px;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgb(96, 96, 96)'><polygon points='50,00 0,50 100,50'/></svg>");
  }
  
  ::-webkit-scrollbar-button:single-button:vertical:decrement:hover {
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgb(112, 112, 112)'><polygon points='50,00 0,50 100,50'/></svg>");
  }
  
  ::-webkit-scrollbar-button:single-button:vertical:decrement:active {
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgb(128, 128, 128)'><polygon points='50,00 0,50 100,50'/></svg>");
  }
  
  /* Down */
  ::-webkit-scrollbar-button:single-button:vertical:increment {
    height: 12px;
    width: 16px;
    background-position: center 2px;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgb(96, 96, 96)'><polygon points='0,0 100,0 50,50'/></svg>");
  }
  
  ::-webkit-scrollbar-button:single-button:vertical:increment:hover {
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgb(112, 112, 112)'><polygon points='0,0 100,0 50,50'/></svg>");
  }
  
  ::-webkit-scrollbar-button:single-button:vertical:increment:active {
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgb(128, 128, 128)'><polygon points='0,0 100,0 50,50'/></svg>");
  }
  
  /* Left */
  ::-webkit-scrollbar-button:single-button:horizontal:decrement {
    height: 12px;
    width: 12px;
    background-position: 3px 3px;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgb(96, 96, 96)'><polygon points='0,50 50,100 50,0'/></svg>");
  
  }
  
  ::-webkit-scrollbar-button:single-button:horizontal:decrement:hover {
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgb(112, 112, 112)'><polygon points='0,50 50,100 50,0'/></svg>");
  }
  
  ::-webkit-scrollbar-button:single-button:horizontal:decrement:active {
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgb(128, 128, 128)'><polygon points='0,50 50,100 50,0'/></svg>");
  }
  
  /* Right */
  ::-webkit-scrollbar-button:single-button:horizontal:increment {
    height: 12px;
    width: 12px;
    background-position: 3px 3px;
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgb(96, 96, 96)'><polygon points='0,0 0,100 50,50'/></svg>");
  }
  
  ::-webkit-scrollbar-button:single-button:horizontal:increment:hover {
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgb(112, 112, 112)'><polygon points='0,0 0,100 50,50'/></svg>");
  }
  
  ::-webkit-scrollbar-button:single-button:horizontal:increment:active {
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='rgb(128, 128, 128)'><polygon points='0,0 0,100 50,50'/></svg>");
  }